BUS_GENERIC_DETACH(9)

NAME
bus_generic_detach - generic implementation of DEVICE_DETACH for busses

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
bus_generic_detach(device_t dev);

DESCRIPTION
This function provides an implementation of the DEVICE_DETACH(9) method which can be used by most bus code. It simply calls the DEVICE_DETACH(9) method of each child device attached to the bus.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
device(9), driver(9)

AUTHORS
This manual page was written by Doug Rabson.